<?xml version="1.0" encoding="US-ASCII"?>
<!-- RR Donnelley Xcelerate Taxonomy Calculation Linkbase, based on XBRL 2.1  http://www.rrdonnelley.com/ -->
<!-- Version: 6.22.4 -->
<!-- Round: 8 -->
<!-- Creation date: 2015-08-04T17:10:10Z -->
<!-- Copyright (c) 2005-2013 R.R. Donnelley &amp; Sons Company All Rights Reserved. -->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DocumentandEntityInformation" roleURI="http://www.gladstoneland.com/taxonomy/role/DocumentandEntityInformation"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_StatementOfFinancialPositionUnclassified-RealEstateOperations" roleURI="http://www.gladstoneland.com/taxonomy/role/StatementOfFinancialPositionUnclassified-RealEstateOperations"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_StatementOfFinancialPositionUnclassified-RealEstateOperationsParen" roleURI="http://www.gladstoneland.com/taxonomy/role/StatementOfFinancialPositionUnclassified-RealEstateOperationsParenthetical"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_StatementOfIncomeRealEstateInvestmentTrusts" roleURI="http://www.gladstoneland.com/taxonomy/role/StatementOfIncomeRealEstateInvestmentTrusts"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_StatementOfShareholdersEquityAndOtherComprehensiveIncome" roleURI="http://www.gladstoneland.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncome"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_StatementOfCashFlowsIndirectRealEstate" roleURI="http://www.gladstoneland.com/taxonomy/role/StatementOfCashFlowsIndirectRealEstate"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_StatementOfCashFlowsIndirectRealEstateParen" roleURI="http://www.gladstoneland.com/taxonomy/role/StatementOfCashFlowsIndirectRealEstateParenthetical"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureBusinessAdditionalInformation" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureBusinessAdditionalInformation"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsAdditionalInformation" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsAdditionalInformation"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsSummaryInformationOfFarms" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryInformationOfFarms"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsSummaryInformationOfFarmsParenthetical" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryInformationOfFarmsParenthetical"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsSummaryOfComponentsOfInvestmentsInRealEstate" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryOfComponentsOfInvestmentsInRealEstate"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsFairValueOfAcquiredAssetsAndLiabilitiesAssumedRelatedToPropertiesAcquired" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsFairValueOfAcquiredAssetsAndLiabilitiesAssumedRelatedToPropertiesAcquired"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsSummaryOfTotalOperatingRevenuesAndEarningsRecognizedOnPropertiesAcquired" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryOfTotalOperatingRevenuesAndEarningsRecognizedOnPropertiesAcquired"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsWeightedAverageAmortizationPeriodForIntangibleAssetsAcquiredAndLiabilitiesAssumed" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsWeightedAverageAmortizationPeriodForIntangibleAssetsAcquiredAndLiabilitiesAssumed"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsProFormaCondensedConsolidatedStatementsOfOperationsAsEachFarmAcquired" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsProFormaCondensedConsolidatedStatementsOfOperationsAsEachFarmAcquired"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsCarryingValueOfLeaseIntangiblesAndAccumulatedAmortizationForEachIntangibleAssetOrLiabilityClass" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsCarryingValueOfLeaseIntangiblesAndAccumulatedAmortizationForEachIntangibleAssetOrLiabilityClass"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRealEstateAndIntangibleAssetsSummaryOfGeographicLocationsByStateOfProperties" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryOfGeographicLocationsByStateOfProperties"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRelatedPartyTransactionsSummaryOfManagementFeesIncentiveFeesAndAssociatedCreditsAndAdministrationFees" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRelatedPartyTransactionsSummaryOfManagementFeesIncentiveFeesAndAssociatedCreditsAndAdministrationFees"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureRelatedPartyTransactionsDetailsOfAmountsDueToRelatedPartiesOnOurAccompanyingCondensedConsolidatedBalanceSheets" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureRelatedPartyTransactionsDetailsOfAmountsDueToRelatedPartiesOnOurAccompanyingCondensedConsolidatedBalanceSheets"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureBorrowingsSummaryOfMortgageNotePayableAndLineOfCredit" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureBorrowingsSummaryOfMortgageNotePayableAndLineOfCredit"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureBorrowingsSummaryOfMortgageNotePayableAndLineOfCreditParenthetical" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureBorrowingsSummaryOfMortgageNotePayableAndLineOfCreditParenthetical"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureBorrowingsAdditionalInformation" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureBorrowingsAdditionalInformation"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureStockholdersEquityMonthlyDistributionsDeclaredAndPaidByCompanysBoardOfDirectors" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureStockholdersEquityMonthlyDistributionsDeclaredAndPaidByCompanysBoardOfDirectors"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureStockholdersEquityAdditionalInformation" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureStockholdersEquityAdditionalInformation"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureCommitmentsAndContingenciesAdditionalInformation" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureCommitmentsAndContingenciesAdditionalInformation"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureLossPerShareOfCommonStockComputationOfBasicAndDilutedLossPerCommonShare" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureLossPerShareOfCommonStockComputationOfBasicAndDilutedLossPerCommonShare"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureSubsequentEventsAdditionalInformation" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureSubsequentEventsAdditionalInformation"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#DisclosureSubsequentEventsMonthlyDistributionsDeclaredByCompanysBoardOfDirectors" roleURI="http://www.gladstoneland.com/taxonomy/role/DisclosureSubsequentEventsMonthlyDistributionsDeclaredByCompanysBoardOfDirectors"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsSignificantAccountingPoliciesTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsSignificantAccountingPoliciesTextBlockPolicies" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlockPolicies"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlockTables" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlockTables"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsDebtDisclosureTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsDebtDisclosureTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsDebtDisclosureTextBlockTables" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsDebtDisclosureTextBlockTables"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlockTables" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlockTables"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsEarningsPerShareTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsEarningsPerShareTextBlockTables" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlockTables"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsSubsequentEventsTextBlock" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSubsequentEventsTextBlock"/>
  <roleRef xlink:type="simple" xlink:href="land-20150630.xsd#Role_NotesToFinancialStatementsSubsequentEventsTextBlockTables" roleURI="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSubsequentEventsTextBlockTables"/>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DocumentandEntityInformation">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/StatementOfFinancialPositionUnclassified-RealEstateOperations">
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_AccountsPayableAndAccruedLiabilitiesCurrentAndNoncurrent" xlink:label="us-gaap_AccountsPayableAndAccruedLiabilitiesCurrentAndNoncurrent"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_AdditionalPaidInCapitalCommonStock" xlink:label="us-gaap_AdditionalPaidInCapitalCommonStock"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_Assets" xlink:label="us-gaap_Assets"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:label="us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_CommonStockValue" xlink:label="us-gaap_CommonStockValue"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_DeferredFinanceCostsNet" xlink:label="us-gaap_DeferredFinanceCostsNet"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_DeferredOfferingCosts" xlink:label="us-gaap_DeferredOfferingCosts"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_DueToRelatedPartiesCurrentAndNoncurrent" xlink:label="us-gaap_DueToRelatedPartiesCurrentAndNoncurrent"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_FiniteLivedIntangibleAssetsNet" xlink:label="us-gaap_FiniteLivedIntangibleAssetsNet"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_Liabilities" xlink:label="us-gaap_Liabilities"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:label="us-gaap_LiabilitiesAndStockholdersEquity"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_LineOfCredit" xlink:label="us-gaap_LineOfCredit"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_OtherAssets" xlink:label="us-gaap_OtherAssets"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_OtherLiabilities" xlink:label="us-gaap_OtherLiabilities"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RealEstateAccumulatedDepreciation" xlink:label="us-gaap_RealEstateAccumulatedDepreciation"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RealEstateInvestmentPropertyAtCost" xlink:label="us-gaap_RealEstateInvestmentPropertyAtCost"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RealEstateInvestmentPropertyNet" xlink:label="us-gaap_RealEstateInvestmentPropertyNet"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RestrictedCashAndCashEquivalents" xlink:label="us-gaap_RestrictedCashAndCashEquivalents"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:label="us-gaap_RetainedEarningsAccumulatedDeficit"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_SecuredLongTermDebt" xlink:label="us-gaap_SecuredLongTermDebt"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_StockholdersEquity" xlink:label="us-gaap_StockholdersEquity"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_RealEstateInvestmentPropertyNet" order="1.0300" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_FiniteLivedIntangibleAssetsNet" order="1.0400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_CashAndCashEquivalentsAtCarryingValue" order="1.0500" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_RestrictedCashAndCashEquivalents" order="1.0600" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_DeferredFinanceCostsNet" order="1.0700" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_DeferredOfferingCosts" order="1.0800" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_OtherAssets" order="1.0900" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_SecuredLongTermDebt" order="1.1000" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_LineOfCredit" order="1.1100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_AccountsPayableAndAccruedLiabilitiesCurrentAndNoncurrent" order="1.1200" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_DueToRelatedPartiesCurrentAndNoncurrent" order="1.1300" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_OtherLiabilities" order="1.1400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_Liabilities" order="1.1500" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_StockholdersEquity" order="1.1900" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateInvestmentPropertyNet" xlink:to="us-gaap_RealEstateInvestmentPropertyAtCost" order="1.0100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateInvestmentPropertyNet" xlink:to="us-gaap_RealEstateAccumulatedDepreciation" order="1.0200" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_CommonStockValue" order="1.1600" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_AdditionalPaidInCapitalCommonStock" order="1.1700" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_RetainedEarningsAccumulatedDeficit" order="1.1800" weight="1.00" priority="2" use="optional"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/StatementOfFinancialPositionUnclassified-RealEstateOperationsParenthetical">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/StatementOfIncomeRealEstateInvestmentTrusts">
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_AdministrationFee" xlink:label="land_AdministrationFee"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_BusinessCombinationAcquisitionRelatedCosts" xlink:label="us-gaap_BusinessCombinationAcquisitionRelatedCosts"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_CostOfOtherPropertyOperatingExpense" xlink:label="us-gaap_CostOfOtherPropertyOperatingExpense"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_DepreciationDepletionAndAmortization" xlink:label="us-gaap_DepreciationDepletionAndAmortization"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_GainLossOnBusinessInterruptionInsuranceRecovery" xlink:label="land_GainLossOnBusinessInterruptionInsuranceRecovery"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_GeneralAndAdministrativeExpense" xlink:label="us-gaap_GeneralAndAdministrativeExpense"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:label="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="us-gaap_IncomeTaxExpenseBenefit"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_InterestAndOtherIncome" xlink:label="us-gaap_InterestAndOtherIncome"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_InterestExpense" xlink:label="us-gaap_InterestExpense"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_ManagementFeeExpense" xlink:label="us-gaap_ManagementFeeExpense"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="us-gaap_NetIncomeLoss"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_NonoperatingIncomeExpense" xlink:label="us-gaap_NonoperatingIncomeExpense"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:label="land_OperatingExpensesBeforeCreditToIncentiveFee"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_OperatingExpensesNetOfCreditToIncentiveFee" xlink:label="land_OperatingExpensesNetOfCreditToIncentiveFee"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_OperatingIncomeLoss" xlink:label="us-gaap_OperatingIncomeLoss"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_OperatingLeasesIncomeStatementLeaseRevenue" xlink:label="us-gaap_OperatingLeasesIncomeStatementLeaseRevenue"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_ProfessionalFees" xlink:label="us-gaap_ProfessionalFees"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RealEstateRevenueNet" xlink:label="us-gaap_RealEstateRevenueNet"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_RelatedPartyTransactionCreditFromVoluntaryIrrevocable" xlink:label="land_RelatedPartyTransactionCreditFromVoluntaryIrrevocable"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_TenantReimbursements" xlink:label="us-gaap_TenantReimbursements"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="us-gaap_OperatingIncomeLoss" order="1.1400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="us-gaap_NonoperatingIncomeExpense" order="1.1800" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" order="1.1900" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_IncomeTaxExpenseBenefit" order="1.2000" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NonoperatingIncomeExpense" xlink:to="us-gaap_InterestAndOtherIncome" order="1.1500" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NonoperatingIncomeExpense" xlink:to="us-gaap_InterestExpense" order="1.1600" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NonoperatingIncomeExpense" xlink:to="land_GainLossOnBusinessInterruptionInsuranceRecovery" order="1.1700" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:to="us-gaap_DepreciationDepletionAndAmortization" order="1.0400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:to="us-gaap_ManagementFeeExpense" order="1.0500" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:to="land_AdministrationFee" order="1.0600" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:to="us-gaap_ProfessionalFees" order="1.0700" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:to="us-gaap_BusinessCombinationAcquisitionRelatedCosts" order="1.0800" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:to="us-gaap_CostOfOtherPropertyOperatingExpense" order="1.0900" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesBeforeCreditToIncentiveFee" xlink:to="us-gaap_GeneralAndAdministrativeExpense" order="1.1000" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesNetOfCreditToIncentiveFee" xlink:to="land_OperatingExpensesBeforeCreditToIncentiveFee" order="1.1100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_OperatingExpensesNetOfCreditToIncentiveFee" xlink:to="land_RelatedPartyTransactionCreditFromVoluntaryIrrevocable" order="1.1200" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss" xlink:to="us-gaap_RealEstateRevenueNet" order="1.0300" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss" xlink:to="land_OperatingExpensesNetOfCreditToIncentiveFee" order="1.1300" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateRevenueNet" xlink:to="us-gaap_OperatingLeasesIncomeStatementLeaseRevenue" order="1.0100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateRevenueNet" xlink:to="us-gaap_TenantReimbursements" order="1.0200" weight="1.00" priority="2" use="optional"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncome">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/StatementOfCashFlowsIndirectRealEstate">
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_AmortizationOfDeferredRentAssetAndLiabilityNet" xlink:label="land_AmortizationOfDeferredRentAssetAndLiabilityNet"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_AmortizationOfFinancingCosts" xlink:label="us-gaap_AmortizationOfFinancingCosts"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:label="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_DepreciationDepletionAndAmortization" xlink:label="us-gaap_DepreciationDepletionAndAmortization"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_GainLossOnBusinessInterruptionInsuranceRecovery" xlink:label="land_GainLossOnBusinessInterruptionInsuranceRecovery"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities" xlink:label="us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingAssets" xlink:label="us-gaap_IncreaseDecreaseInOtherOperatingAssets"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" xlink:label="us-gaap_IncreaseDecreaseInOtherOperatingLiabilities"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_IncreaseDecreaseInRestrictedCash" xlink:label="us-gaap_IncreaseDecreaseInRestrictedCash"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_InsuranceProceedsReceivedCapitalizedAsRealEstateAssetAdditions" xlink:label="land_InsuranceProceedsReceivedCapitalizedAsRealEstateAssetAdditions"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:label="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:label="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:label="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="us-gaap_NetIncomeLoss"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_PaymentsForProceedsFromDepositsOnRealEstateAcquisitions" xlink:label="us-gaap_PaymentsForProceedsFromDepositsOnRealEstateAcquisitions"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_PaymentsOfDividends" xlink:label="us-gaap_PaymentsOfDividends"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_PaymentsOfFinancingCosts" xlink:label="us-gaap_PaymentsOfFinancingCosts"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_PaymentsOfStockIssuanceCosts" xlink:label="us-gaap_PaymentsOfStockIssuanceCosts"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_PaymentsToAcquireRealEstate" xlink:label="us-gaap_PaymentsToAcquireRealEstate"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_PaymentsToDevelopRealEstateAssets" xlink:label="us-gaap_PaymentsToDevelopRealEstateAssets"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_ProceedsFromIssuanceOfSecuredDebt" xlink:label="us-gaap_ProceedsFromIssuanceOfSecuredDebt"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_ProceedsFromIssuanceOrSaleOfEquity" xlink:label="us-gaap_ProceedsFromIssuanceOrSaleOfEquity"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_ProceedsFromLongTermLinesOfCredit" xlink:label="us-gaap_ProceedsFromLongTermLinesOfCredit"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_ProceedsFromRefundOnDeposits" xlink:label="land_ProceedsFromRefundOnDeposits"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RepaymentsOfLongTermLinesOfCredit" xlink:label="us-gaap_RepaymentsOfLongTermLinesOfCredit"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RepaymentsOfSecuredDebt" xlink:label="us-gaap_RepaymentsOfSecuredDebt"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" order="1.0900" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" order="1.1600" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" order="1.2500" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_ProceedsFromIssuanceOrSaleOfEquity" order="1.1700" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsOfStockIssuanceCosts" order="1.1800" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_ProceedsFromIssuanceOfSecuredDebt" order="1.1900" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_RepaymentsOfSecuredDebt" order="1.2000" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_ProceedsFromLongTermLinesOfCredit" order="1.2100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_RepaymentsOfLongTermLinesOfCredit" order="1.2200" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsOfFinancingCosts" order="1.2300" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsOfDividends" order="1.2400" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsToAcquireRealEstate" order="1.1000" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsToDevelopRealEstateAssets" order="1.1100" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="us-gaap_IncreaseDecreaseInRestrictedCash" order="1.1200" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsForProceedsFromDepositsOnRealEstateAcquisitions" order="1.1300" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="land_ProceedsFromRefundOnDeposits" order="1.1400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="land_InsuranceProceedsReceivedCapitalizedAsRealEstateAssetAdditions" order="1.1500" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_NetIncomeLoss" order="1.0100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_DepreciationDepletionAndAmortization" order="1.0200" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_AmortizationOfFinancingCosts" order="1.0300" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="land_AmortizationOfDeferredRentAssetAndLiabilityNet" order="1.0400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="land_GainLossOnBusinessInterruptionInsuranceRecovery" order="1.0500" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_IncreaseDecreaseInOtherOperatingAssets" order="1.0600" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities" order="1.0700" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" order="1.0800" weight="1.00" priority="2" use="optional"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/StatementOfCashFlowsIndirectRealEstateParenthetical">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureBusinessAdditionalInformation">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsAdditionalInformation">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryInformationOfFarms">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryInformationOfFarmsParenthetical">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryOfComponentsOfInvestmentsInRealEstate">
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_InvestmentBuildingAndBuildingImprovements" xlink:label="us-gaap_InvestmentBuildingAndBuildingImprovements"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_IrrigationEquipmentSystem" xlink:label="land_IrrigationEquipmentSystem"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_LandAndLandImprovements" xlink:label="us-gaap_LandAndLandImprovements"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_RealEstateAndAccumulatedDepreciationCarryingAmountOfHorticulture" xlink:label="land_RealEstateAndAccumulatedDepreciationCarryingAmountOfHorticulture"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_RealEstateInvestmentPropertyAtCost" xlink:label="us-gaap_RealEstateInvestmentPropertyAtCost"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_RealEstateOtherSiteImprovements" xlink:label="land_RealEstateOtherSiteImprovements"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateInvestmentPropertyAtCost" xlink:to="us-gaap_LandAndLandImprovements" order="1.0100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateInvestmentPropertyAtCost" xlink:to="land_IrrigationEquipmentSystem" order="1.0200" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateInvestmentPropertyAtCost" xlink:to="us-gaap_InvestmentBuildingAndBuildingImprovements" order="1.0300" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateInvestmentPropertyAtCost" xlink:to="land_RealEstateAndAccumulatedDepreciationCarryingAmountOfHorticulture" order="1.0400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_RealEstateInvestmentPropertyAtCost" xlink:to="land_RealEstateOtherSiteImprovements" order="1.0500" weight="1.00" priority="2" use="optional"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsFairValueOfAcquiredAssetsAndLiabilitiesAssumedRelatedToPropertiesAcquired">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryOfTotalOperatingRevenuesAndEarningsRecognizedOnPropertiesAcquired">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsWeightedAverageAmortizationPeriodForIntangibleAssetsAcquiredAndLiabilitiesAssumed">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsProFormaCondensedConsolidatedStatementsOfOperationsAsEachFarmAcquired">
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_BusinessAcquisitionsProFormaIncomeTaxExpenseBenefit" xlink:label="land_BusinessAcquisitionsProFormaIncomeTaxExpenseBenefit"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_BusinessAcquisitionsProFormaNetIncomeLoss" xlink:label="us-gaap_BusinessAcquisitionsProFormaNetIncomeLoss"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_BusinessAcquisitionsProFormaNetIncomeLossBeforeIncomeTax" xlink:label="land_BusinessAcquisitionsProFormaNetIncomeLossBeforeIncomeTax"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_BusinessAcquisitionsProFormaOperatingExpenses" xlink:label="land_BusinessAcquisitionsProFormaOperatingExpenses"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_BusinessAcquisitionsProFormaOtherExpense" xlink:label="land_BusinessAcquisitionsProFormaOtherExpense"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_BusinessAcquisitionsProFormaRevenue" xlink:label="us-gaap_BusinessAcquisitionsProFormaRevenue"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_BusinessAcquisitionsProFormaNetIncomeLoss" xlink:to="land_BusinessAcquisitionsProFormaNetIncomeLossBeforeIncomeTax" order="1.0400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_BusinessAcquisitionsProFormaNetIncomeLoss" xlink:to="land_BusinessAcquisitionsProFormaIncomeTaxExpenseBenefit" order="1.0500" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_BusinessAcquisitionsProFormaNetIncomeLossBeforeIncomeTax" xlink:to="us-gaap_BusinessAcquisitionsProFormaRevenue" order="1.0100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_BusinessAcquisitionsProFormaNetIncomeLossBeforeIncomeTax" xlink:to="land_BusinessAcquisitionsProFormaOperatingExpenses" order="1.0200" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_BusinessAcquisitionsProFormaNetIncomeLossBeforeIncomeTax" xlink:to="land_BusinessAcquisitionsProFormaOtherExpense" order="1.0300" weight="-1.00" priority="2" use="optional"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsCarryingValueOfLeaseIntangiblesAndAccumulatedAmortizationForEachIntangibleAssetOrLiabilityClass">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRealEstateAndIntangibleAssetsSummaryOfGeographicLocationsByStateOfProperties">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRelatedPartyTransactionsSummaryOfManagementFeesIncentiveFeesAndAssociatedCreditsAndAdministrationFees">
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_ManagementFeeExpense" xlink:label="us-gaap_ManagementFeeExpense"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_ManagementFeeExpenseNetOfCreditToIncentiveFee" xlink:label="land_ManagementFeeExpenseNetOfCreditToIncentiveFee"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_RelatedPartyTransactionCreditFromVoluntaryIrrevocable" xlink:label="land_RelatedPartyTransactionCreditFromVoluntaryIrrevocable"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_ManagementFeeExpenseNetOfCreditToIncentiveFee" xlink:to="us-gaap_ManagementFeeExpense" order="1.0100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_ManagementFeeExpenseNetOfCreditToIncentiveFee" xlink:to="land_RelatedPartyTransactionCreditFromVoluntaryIrrevocable" order="1.0200" weight="-1.00" priority="2" use="optional"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureRelatedPartyTransactionsDetailsOfAmountsDueToRelatedPartiesOnOurAccompanyingCondensedConsolidatedBalanceSheets">
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_CreditsToFeesDueToAdviser" xlink:label="land_CreditsToFeesDueToAdviser"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_DueToFromAdviser" xlink:label="land_DueToFromAdviser"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd#us-gaap_DueToRelatedPartiesCurrentAndNoncurrent" xlink:label="us-gaap_DueToRelatedPartiesCurrentAndNoncurrent"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_FeeDueToAdministrator" xlink:label="land_FeeDueToAdministrator"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_ManagementFeeDueToAdvisor" xlink:label="land_ManagementFeeDueToAdvisor"/>
    <loc xlink:type="locator" xlink:href="land-20150630.xsd#land_OtherDueToAdvisor" xlink:label="land_OtherDueToAdvisor"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_DueToFromAdviser" xlink:to="land_ManagementFeeDueToAdvisor" order="1.0100" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_DueToFromAdviser" xlink:to="land_CreditsToFeesDueToAdviser" order="1.0200" weight="-1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="land_DueToFromAdviser" xlink:to="land_OtherDueToAdvisor" order="1.0300" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_DueToRelatedPartiesCurrentAndNoncurrent" xlink:to="land_DueToFromAdviser" order="1.0400" weight="1.00" priority="2" use="optional"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_DueToRelatedPartiesCurrentAndNoncurrent" xlink:to="land_FeeDueToAdministrator" order="1.0600" weight="1.00" priority="2" use="optional"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureBorrowingsSummaryOfMortgageNotePayableAndLineOfCredit">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureBorrowingsSummaryOfMortgageNotePayableAndLineOfCreditParenthetical">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureBorrowingsAdditionalInformation">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureStockholdersEquityMonthlyDistributionsDeclaredAndPaidByCompanysBoardOfDirectors">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureStockholdersEquityAdditionalInformation">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureCommitmentsAndContingenciesAdditionalInformation">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureLossPerShareOfCommonStockComputationOfBasicAndDilutedLossPerCommonShare">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureSubsequentEventsAdditionalInformation">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/DisclosureSubsequentEventsMonthlyDistributionsDeclaredByCompanysBoardOfDirectors">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSignificantAccountingPoliciesTextBlockPolicies">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlockTables">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsDebtDisclosureTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsDebtDisclosureTextBlockTables">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsStockholdersEquityNoteDisclosureTextBlockTables">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsEarningsPerShareTextBlockTables">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSubsequentEventsTextBlock">
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.gladstoneland.com/taxonomy/role/NotesToFinancialStatementsSubsequentEventsTextBlockTables">
  </calculationLink>
</linkbase>
